"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.healthCheckPlugin = void 0;
// eslint-disable-next-line @typescript-eslint/require-await
async function healthCheckPlugin(app, opts) {
    app.route({
        method: "GET",
        url: opts.endpointPath || "/admin/healthcheck",
        config: { accessLogLevel: "DEBUG" },
        handler(_request, reply) {
            void reply.code(200).send();
        },
    });
}
exports.healthCheckPlugin = healthCheckPlugin;
