import { FastifyServerOptions } from "fastify";
import { ServiceSkeletonOptions } from "../skeleton";
import { RootLogger } from "./root_logger";
import { Logger } from "./logging.types";
export declare function createLoggers(serviceName: string, loggingOpts: ServiceSkeletonOptions["logging"]): {
    rootLogger: RootLogger;
    appLogger: Logger;
};
export declare function checkLoggingOptionsPlausibility(appLogger: Logger, opts: ServiceSkeletonOptions, finalFastifyOpts: FastifyServerOptions): void;
