/// <reference types="node" />
/// <reference types="node/http" />
/// <reference types="got/dist/source/core/utils/timed-out" />
import { LoggerOptions } from "./logging.types";
export declare const requestLoggingPlugin: import("fastify").FastifyPluginAsync<RequestLoggingOptions, import("http").Server>;
export interface RequestLoggingOptions {
    accessLogger?: LoggerOptions;
    requestIdLogLabel?: string;
}
declare module "fastify" {
    interface FastifyRequest {
        receivedAt: Date;
    }
}
