/// <reference types="node" />
/// <reference types="node/http" />
/// <reference types="got/dist/source/core/utils/timed-out" />
import promClient from "prom-client";
import { RequestMetricsOptions } from "./request_metrics";
import { Enableable } from "../utils/options";
import { PrometheusMeterOptions } from "./prometheus_meter";
export declare const metricsPlugin: import("fastify").FastifyPluginAsync<MetricsOptions, import("http").Server>;
export interface MetricsOptions {
    endpointPath?: string;
    register?: promClient.Registry;
    prometheusMeter?: PrometheusMeterOptions;
    defaultMetrics?: Enableable<promClient.DefaultMetricsCollectorConfiguration>;
    requestMetrics?: Enableable<RequestMetricsOptions>;
}
