"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.prometheusMeterPlugin = void 0;
const promClient = __importStar(require("prom-client"));
const fastify_plugin_1 = __importDefault(require("fastify-plugin"));
const prometheus_meter_factory_1 = require("./prometheus_meter_factory");
exports.prometheusMeterPlugin = (0, fastify_plugin_1.default)(
// eslint-disable-next-line @typescript-eslint/require-await
async function prometheusMeterPlugin(app, opts) {
    // Use a dedicated local register instead of the global one
    const defaultRegisters = opts.defaultRegisters || [
        new promClient.Registry(),
    ];
    app.decorate("prometheusMeter", (0, prometheus_meter_factory_1.createPrometheusMeter)(defaultRegisters, opts.Counter, opts.Gauge, opts.Histogram, opts.Summary));
}, {
    name: "prometheus-meter",
    fastify: "3.x",
});
