/// <reference types="node" />
/// <reference types="node/http" />
/// <reference types="got/dist/source/core/utils/timed-out" />
import { FastifyInstance } from "fastify";
export declare const shutdownPlugin: import("fastify").FastifyPluginAsync<ShutdownPluginOpts, import("http").Server>;
declare function createCloseAndExitProcess(app: FastifyInstance): (processExitCode: number) => void;
export interface ShutdownPluginOpts {
    signals?: NodeJS.Signals[];
}
declare module "fastify" {
    interface FastifyInstance {
        closeAndExitProcess: ReturnType<typeof createCloseAndExitProcess>;
    }
}
export {};
