/// <reference types="node" />
import stream from "stream";
import writer from "flush-write-stream";
export declare function createDestinationStream(func?: Parameters<typeof writer.obj>[0]): stream.Transform;
export declare function nextLog(destinationStream: stream.Transform): Promise<Record<string, unknown>>;
export declare function collectLogsUntil(destinationStream: stream.Transform, stopPromise: Promise<unknown>, consoleLogItems?: boolean): Promise<Record<string, unknown>[]>;
