/// <reference types="node" />
/// <reference types="node/http" />
/// <reference types="got/dist/source/core/utils/timed-out" />
import * as promClient from "prom-client";
import type { PrometheusMeter } from "./prometheus_meter_interface";
export declare const prometheusMeterPlugin: import("fastify").FastifyPluginAsync<PrometheusMeterOptions, import("http").Server>;
export interface PrometheusMeterOptions {
    defaultRegisters: promClient.Registry[];
    Counter?: typeof promClient.Counter;
    Gauge?: typeof promClient.Gauge;
    Histogram?: typeof promClient.Histogram;
    Summary?: typeof promClient.Summary;
}
declare module "fastify" {
    interface FastifyInstance {
        prometheusMeter: PrometheusMeter;
    }
}
