"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.serviceMetadata = void 0;
const fastify_plugin_1 = __importDefault(require("fastify-plugin"));
const assert_1 = require("./utils/assert");
exports.serviceMetadata = (0, fastify_plugin_1.default)(
// eslint-disable-next-line @typescript-eslint/require-await
async function serviceMetadataPlugin(app, opts) {
    (0, assert_1.assertIsNonEmptyObject)(opts);
    app.decorate("serviceName", opts.serviceName);
}, {
    name: "service-metadata",
    fastify: "3.x",
});
