import { AssertionError } from "assert";
export { AssertionError };
export declare function assert(condition: unknown, message?: string | Error | undefined): asserts condition;
export declare function assertIsNotUndefined<T>(value: T | undefined, valueName?: string): asserts value is NotUndefined<T>;
export declare function assertIsNotNullish<T>(value: T | null | undefined, valueName?: string): asserts value is NotNullish<T>;
export declare function assertIsNonEmptyObject<T extends object>(obj: T | object, valueName?: string): asserts obj is T;
export declare type NotUndefined<T> = T extends undefined ? never : T;
export declare type NotNullish<T> = T extends undefined | null ? never : T;
