/// <reference types="node" />
import { BinaryToTextEncoding } from "crypto";
declare class CachedStringHasher {
    private memory;
    hash(str: string, algorithm?: string, encoding?: BinaryToTextEncoding): Hashed;
}
export declare const cachedStringHasher: CachedStringHasher;
export interface Hashed {
    hash: string;
    prependedSalt: string;
    algorithm: string;
    encoding: string;
}
export {};
