export declare function createIsOptionEnabled(enableByDefault?: boolean): (option: unknown) => boolean;
export declare function isOptionEnabled(option: unknown, enableByDefault?: boolean): boolean;
export declare function isOptionEnabledByDefaultTrue(option: unknown): boolean;
export declare function isOptionEnabledByDefaultFalse(option: unknown): boolean;
export declare type Enableable<T extends object> = T & {
    enable?: boolean;
};
