import type { DeepPartial } from "utility-types";
export declare function inferActualType<Basis extends object>(): <Obj extends Basis>(obj: Obj) => Obj;
export declare function inferActualPartialType<Basis extends object>(): <Obj extends Partial<Basis>>(obj: Obj) => Obj;
export declare function inferActualDeepPartialType<Basis extends object>(): <Obj extends DeepPartial<Basis>>(obj: Obj) => Obj;
export type { DeepPartial };
